cascading.tuple.hadoop.util

## Class CoGroupingPartitioner

- java.lang.Object
- - cascading.tuple.util.TupleHasher
  - - cascading.tuple.hadoop.util.HasherPartitioner
    - - cascading.tuple.hadoop.util.CoGroupingPartitioner

- All Implemented Interfaces:
    java.io.Serializable, Configurable, JobConfigurable, Partitioner<IndexTuple,Tuple>

      public class CoGroupingPartitioner
      extends HasherPartitioner
      implements Partitioner<IndexTuple,Tuple>

  Class GroupingPartitioner is an implementation of `Partitioner`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.tuple.util.TupleHasher

      `TupleHasher.HashFunction`

  - ### Field Summary

    - ### Fields inherited from class cascading.tuple.hadoop.util.HasherPartitioner

      `HASHER_PARTITIONER_USE_LEGACY_HASH`

    - ### Fields inherited from class cascading.tuple.util.TupleHasher

      `hashFunction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoGroupingPartitioner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(JobConf job)`
    `int` | `getPartition(IndexTuple key, Tuple value, int numReduceTasks)`

    - ### Methods inherited from class cascading.tuple.hadoop.util.HasherPartitioner

      `getConf, setConf`

    - ### Methods inherited from class cascading.tuple.util.TupleHasher

      `getHashFunction, hashCode, initialize, isNull, merge, wrapTuple`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoGroupingPartitioner

          public CoGroupingPartitioner()

  - ### Method Detail

    - #### getPartition

          public int getPartition(IndexTuple key,
                         Tuple value,
                         int numReduceTasks)

      Specified by:
        `getPartition` in interface `Partitioner<IndexTuple,Tuple>`

    - #### configure

          public void configure(JobConf job)

      Specified by:
        `configure` in interface `JobConfigurable`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.